Debian Bug report logs - #460108
lynx objects to path of valid cookies

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Richard Kettlewell <rjk@greenend.org.uk>

Date: Thu, 10 Jan 2008 17:33:02 UTC

Severity: normal

Tags: fixed-upstream

Found in version lynx/2.8.6-2

Fixed in version lynx-cur/2.8.8dev.2-1

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, warp@debian.org (Zephaniah E. Hull):
Bug#460108; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Richard Kettlewell <rjk@greenend.org.uk>:
New Bug report received and forwarded. Copy sent to warp@debian.org (Zephaniah E. Hull). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Richard Kettlewell <rjk@greenend.org.uk>
To: submit@bugs.debian.org
Subject: lynx objects to path of valid cookies
Date: Thu, 10 Jan 2008 17:29:26 +0000
Package: lynx
Version: 2.8.6-2 

/cgi-bin/disorder is sending a cookie with "path=/cgi-bin/disorder".

Lynx doesn't like this; it asks the user:

  Accept invalid cookie path=/cgi-bin/disorder as a prefix of '/cgi-bin'? (n)

The presumably relevant part of RFC2109 is:

  4.3.2  Rejecting Cookies

     To prevent possible security or privacy violations, a user agent
     rejects a cookie (shall not store its information) if any of the
     following is true:

     * The value for the Path attribute is not a prefix of the request-
       URI.

Lynx appears to be comparing the cookie path not with the URL path,
but with the directory part of the URL path.  This is incorrect and
finds no support in the RFC.

It is also bizarre: it amounts to insisting that a CGI script expose
its cookies to unrelated scripts that happen to be located in the same
directory.

Other browsers I've recently checked disagree with Lynx's incorrect
interpretation: Firefox 2, MSIE 7, Konqueror, Opera 9, iCab,
Seamonkey.

ttfn/rjk




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Sun, 22 Nov 2009 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 22 Nov 2009 22:03:06 GMT) Full text and rfc822 format available.

Message #10 received at 460108@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 460108@bugs.debian.org
Cc: 460108-submitter@bugs.debian.org
Subject: re: #460108 lynx objects to path of valid cookies
Date: Sun, 22 Nov 2009 16:55:56 -0500
[Message part 1 (text/plain, inline)]
Perhaps (by the way, I'd not have used the term "incorrect" if I'd made
the report, since that prejudges the issue).

I don't see a package for disorder, and can only guess which upstream
source it might be.

Reading

http://www.w3.org/Protocols/rfc2109/rfc2109.txt

I see in section 5.1 several examples, with a comment relating the POST
path in them to the prefix.  That would be the same path as Lynx is checking
if you ran it with a -trace option and captured the details.

Looking at a Lynx trace file, it seems that the path could begin with /cgi-bin

Firefox does retain the path in its cookie representation; Opera does
not appear to do this; Konquerer has a poor reputation in any case -
so much for examples - let's stick to the RFC as stated.

(a trace file from Lynx running with disorder would show the corresponding
POST or GET, with the path).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 22 Nov 2009 22:03:08 GMT) Full text and rfc822 format available.

Message sent on to Richard Kettlewell <rjk@greenend.org.uk>:
Bug#460108. (Sun, 22 Nov 2009 22:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Sun, 22 Nov 2009 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Kettlewell <rjk@terraraq.org.uk>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 22 Nov 2009 22:48:03 GMT) Full text and rfc822 format available.

Message #20 received at 460108@bugs.debian.org (full text, mbox):

From: Richard Kettlewell <rjk@terraraq.org.uk>
To: dickey@his.com
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Sun, 22 Nov 2009 22:27:43 +0000
Thomas Dickey wrote:
> Perhaps (by the way, I'd not have used the term "incorrect" if I'd made
> the report, since that prejudges the issue).
> 
> I don't see a package for disorder, and can only guess which upstream
> source it might be.
> 
> Reading
> 
> http://www.w3.org/Protocols/rfc2109/rfc2109.txt
> 
> I see in section 5.1 several examples, with a comment relating the POST
> path in them to the prefix.  That would be the same path as Lynx is checking
> if you ran it with a -trace option and captured the details.
> 
> Looking at a Lynx trace file, it seems that the path could begin with /cgi-bin
> 
> Firefox does retain the path in its cookie representation; Opera does
> not appear to do this; Konquerer has a poor reputation in any case -
> so much for examples - let's stick to the RFC as stated.
> 
> (a trace file from Lynx running with disorder would show the corresponding
> POST or GET, with the path).

I think you must be confused - the HTTP request does not contain the 
path.  The bug is in Lynx's handling of the response.

ttfn/rjk




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Sun, 22 Nov 2009 23:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 22 Nov 2009 23:57:06 GMT) Full text and rfc822 format available.

Message #25 received at 460108@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Richard Kettlewell <rjk@terraraq.org.uk>
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Sun, 22 Nov 2009 18:44:33 -0500 (EST)
On Sun, 22 Nov 2009, Richard Kettlewell wrote:

>> (a trace file from Lynx running with disorder would show the corresponding
>> POST or GET, with the path).
>
> I think you must be confused - the HTTP request does not contain the path. 
> The bug is in Lynx's handling of the response.

You might consider doing "lynx -trace", etc., and reviewing the resulting
trace file.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Mon, 23 Nov 2009 09:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Kettlewell <rjk@terraraq.org.uk>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 23 Nov 2009 09:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 460108@bugs.debian.org (full text, mbox):

From: Richard Kettlewell <rjk@terraraq.org.uk>
To: Thomas Dickey <dickey@his.com>
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Mon, 23 Nov 2009 09:05:58 +0000
Thomas Dickey wrote:
> On Sun, 22 Nov 2009, Richard Kettlewell wrote:

>>> (a trace file from Lynx running with disorder would show the 
>>> corresponding
>>> POST or GET, with the path).
>>
>> I think you must be confused - the HTTP request does not contain the 
>> path. The bug is in Lynx's handling of the response.
> 
> You might consider doing "lynx -trace", etc., and reviewing the resulting
> trace file.

I did.  It reveals that:

1) Lynx sends an HTTP request to http://HOSTNAME/cgi-bin/disorder.
2) The response sets a cookie with Path=/cgi-bin/disorder.
3) Lynx (wrongly) complains that this is not valid.

...which is what I said in the original report.

ttfn/rjk




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Mon, 23 Nov 2009 09:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 23 Nov 2009 09:12:05 GMT) Full text and rfc822 format available.

Message #35 received at 460108@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Richard Kettlewell <rjk@terraraq.org.uk>
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Mon, 23 Nov 2009 04:11:22 -0500 (EST)
On Mon, 23 Nov 2009, Richard Kettlewell wrote:

> Thomas Dickey wrote:
>> On Sun, 22 Nov 2009, Richard Kettlewell wrote:
>
>>>> (a trace file from Lynx running with disorder would show the 
>>>> corresponding
>>>> POST or GET, with the path).
>>> 
>>> I think you must be confused - the HTTP request does not contain the path. 
>>> The bug is in Lynx's handling of the response.
>> 
>> You might consider doing "lynx -trace", etc., and reviewing the resulting
>> trace file.
>
> I did.  It reveals that:
>
> 1) Lynx sends an HTTP request to http://HOSTNAME/cgi-bin/disorder.
> 2) The response sets a cookie with Path=/cgi-bin/disorder.
> 3) Lynx (wrongly) complains that this is not valid.

without the trace file attached to the bug report, no one can tell if 
we're discussing the same thing.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Mon, 23 Nov 2009 09:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Kettlewell <rjk@terraraq.org.uk>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 23 Nov 2009 09:18:09 GMT) Full text and rfc822 format available.

Message #40 received at 460108@bugs.debian.org (full text, mbox):

From: Richard Kettlewell <rjk@terraraq.org.uk>
To: Thomas Dickey <dickey@his.com>
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Mon, 23 Nov 2009 09:17:00 +0000
[Message part 1 (text/plain, inline)]
Thomas Dickey wrote:

> without the trace file attached to the bug report, no one can tell if 
> we're discussing the same thing.

Attached.

ttfn/rjk
[Lynx.trace (text/plain, inline)]
		Lynx Trace Log (2.8.7dev.9)

lynx_setup_colors
lynx_map_color(0)
lynx_map_color(1)
lynx_map_color(2)
lynx_map_color(3)
lynx_map_color(4)
lynx_map_color(5)
lynx_map_color(6)
lynx_map_color(7)
LYNX_SIG_FILE set to '/home/richard/.lynxsig'
HTMLDTD: Copying strict DTD element info of size 7616, 119 * 64
Loading cfg file '/etc/lynx-cur/lynx.cfg'.
opening config file /etc/lynx-cur/lynx.cfg
UCGetLYhndl_byAnyName(iso-8859-1)
lynx_chg_color(color=6, fg=9, bg=0)
lynx_map_color(6)
Loading cfg file '/etc/lynx-cur/local.cfg'.
opening config file /etc/lynx-cur/local.cfg
Loading cfg file '~/.lynx/colors'.
opening config file /home/richard/.lynx/colors
lynx.cfg file not found as '~/.lynx/colors'
Loading cfg file '~/.lynx/keymap'.
opening config file /home/richard/.lynx/keymap
lynx.cfg file not found as '~/.lynx/keymap'
Loading cfg file '~/.lynx/viewers'.
opening config file /home/richard/.lynx/viewers
lynx.cfg file not found as '~/.lynx/viewers'
Loading cfg file '~/.lynx/external'.
opening config file /home/richard/.lynx/external
lynx.cfg file not found as '~/.lynx/external'
opening config file /etc/lynx-cur/lynx.lss
LYFindLocaleCharset(0)
Found name "UTF-8" -> 43
HTParse: aName:`http://www.anjou.terraraq.org.uk/'
   relatedName:`'
   want: punc anchor path host access
HTParse: (ABS)
HTParse:      result:`http://www.anjou.terraraq.org.uk/'
parse_arg(arg_name=-trace, mask=4, count=1)
parse_arg lookup(trace)
...skip (mask 4/2)
parse_arg(arg_name=http://jukebox/cgi-bin/disorder, mask=4, count=2)
parse_arg startfile:http://jukebox/cgi-bin/disorder
HTMLSetCharacterHandling: LYRawMode changed OFF -> ON
ProcessMailcapFile: Loading file '/etc/mailcap'.
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.database : soffice -no-oosplash -base '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.chart : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.spreadsheet : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.spreadsheet-template : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.graphics : soffice -no-oosplash -draw '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.graphics-template : soffice -no-oosplash -draw '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.presentation : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.presentation-template : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.formula : soffice -no-oosplash -math '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.text : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.text-master : soffice -no-oosplash -global '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.text-template : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.text-web : soffice -no-oosplash -web '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/plain; less '%s'; needsterminal
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.base : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.calc : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.calc.template : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.draw : soffice -no-oosplash -draw '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.draw.template : soffice -no-oosplash -draw '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.calc : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.chart : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.draw : soffice -no-oosplash -draw '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.impress : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.math : soffice -no-oosplash -math '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.writer-global : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.stardivision.writer : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.impress : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.impress.template : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.math : soffice -no-oosplash -math '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.writer : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.writer.global : soffice -no-oosplash -global '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.writer.template : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'compose'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/svg+xml : inkscape '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Ignoring mailcap flag 'compose'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/svg : inkscape '%s'
ProcessMailcapEntry: Found testcommand:test -z "$DISPLAY"
PassesTest: Testing for NON_XWINDOWS environment.
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -z "$DISPLAY"
PassesTest: Testing for NON_XWINDOWS environment.
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/mpeg : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/x-mpeg : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/mpeg-system : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/x-mpeg-system : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-wav : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/mpeg4 : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/mpeg : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/mpegurl : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-mp3 : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/mpeg4 : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/mpeg4-iod : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/mpeg4-muxcodetable : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/sensible-browser '%s'; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/pdf : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-pdf : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-bzpdf : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gzpdf : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/postscript : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-bzpostscript : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gzpostscript : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-eps : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-bzeps : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-gzeps : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-dvi : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gzdvi : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-bzdvi : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/vnd.djvu : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/tiff : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-cbr : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-cbz : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.sun.xml.impress : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.oasis.opendocument.presentation : evince '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/arj
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/arj
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/arj)
PassesTest: Test passed!
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-arj : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-bzip : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/bzip2
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/bzip2
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/bzip2)
PassesTest: Test failed!
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-compress : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-compressed-tar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gzip : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-java-archive : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/lha
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/lha
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/lha)
PassesTest: Test failed!
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /bin/lzop
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /bin/lzop
LYSystem(test -n "$DISPLAY" -a -e /bin/lzop)
PassesTest: Test failed!
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /bin/lzop
ProcessMailcapEntry Setting up conversion application/x-lzop-compressed-tar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/unrar -o -e /usr/bin/rar
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/unrar -o -e /usr/bin/rar
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/unrar -o -e /usr/bin/rar)
PassesTest: Test failed!
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/unrar -o -e /usr/bin/rar
ProcessMailcapEntry Setting up conversion application/x-rar-compressed : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-stuffit : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-tar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/unzip
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/unzip
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/unzip)
PassesTest: Test passed!
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/zip : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY" -a -e /usr/bin/zoo
PassesTest: Executing test command: test -n "$DISPLAY" -a -e /usr/bin/zoo
LYSystem(test -n "$DISPLAY" -a -e /usr/bin/zoo)
PassesTest: Test failed!
PassesTest: Test failed!
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ace : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-cpio : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-deb : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gtar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-lhz : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-zip : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-zip-compressed : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion multipart/x-zip : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-rpm : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-jar : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-war : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ear : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-cd-image : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-7z-compressed : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-gzpostscript : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-lzma : /usr/bin/file-roller '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-lzma-compressed-tar : /usr/bin/file-roller '%s'
ProcessMailcapEntry Setting up conversion application/x-troff-man : /usr/bin/nroff -mandoc -Tutf8
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/iceweasel '%s'; description=HTML Text; test=test -n "$DISPLAY";  nametemplate=%s.html
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/xml : /usr/bin/iceweasel '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/avs : display 'avs:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/bie : display 'jbig:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-ms-bmp : display 'bmp:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/cmyk : display 'cmyk:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/dcx : display 'dcx:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/eps : display 'eps:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/fax : display 'fax:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/fits : display 'fits:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/gif : display 'gif:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/gray : display 'gray:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/jpeg : display 'jpeg:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/pjpeg : display 'jpeg:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/miff : display 'miff:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/mono : display 'mono:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/mtv : display 'mtv:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-portable-bitmap : display 'pbm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/pcd : display 'pcd:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/pcx : display 'pcx:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/pdf : display 'pdf:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-portable-graymap : display 'pgm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/pict : display 'pict:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/png : display 'png:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-portable-anymap : display 'pnm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-portable-pixmap : display 'ppm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/ps : display 'ps:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/rad : display 'rad:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-rgb : display 'rgb:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/rgba : display 'rgba:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/rla : display 'rla:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/rle : display 'rle:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/sgi : display 'sgi:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/sun-raster : display 'sun:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/targa : display 'tga:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/tiff : display 'tiff:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/uyvy : display 'uyvy:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/vid : display 'vid:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/viff : display 'viff:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-xbitmap : display 'xbm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-xpixmap : display 'xpm:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-xwindowdump : display 'xwd:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/x-icon : display 'icon:%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/yuv : display 'yuv:%s'
ProcessMailcapEntry Setting up conversion audio/mpeg : mpg123 -q '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry Setting up conversion message/rfc822 : mutt -Rf '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ogg : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/ogg : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-mp3 : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-scpls : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-mpeg : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/mpeg : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion audio/x-mpegurl : rhythmbox '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-flac : rhythmbox '%s'
ProcessMailcapEntry Setting up conversion audio/basic : /usr/bin/play '%s' -t au 
ProcessMailcapEntry Setting up conversion audio/x-aiff : /usr/bin/play '%s' -t aiff
ProcessMailcapEntry Setting up conversion audio/x-gsm : /usr/bin/play '%s' -t gsm
ProcessMailcapEntry Setting up conversion audio/x-wav : /usr/bin/play '%s' -t wav
ProcessMailcapEntry Setting up conversion application/x-java-jnlp-file : /usr/lib/jvm/java-6-sun-1.6.0.12/jre/javaws/javaws '%s'
ProcessMailcapEntry Setting up conversion application/x-tar : /bin/tar tvf -
ProcessMailcapEntry Setting up conversion application/x-gtar : /bin/tar tvzf -
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-dvi : /usr/bin/xdvi '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-bittorrent : transmission '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/plain; more '%s'; needsterminal
ProcessMailcapEntry Setting up conversion application/ogg : ogg123 '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/* : evince '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/links '%s'; needsterminal; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry Setting up conversion video/mpeg : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion video/x-mpeg : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion video/mpeg-system : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion video/x-mpeg-system : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion audio/x-wav : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion video/mpeg4 : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion audio/mpeg : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion audio/mpegurl : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion audio/x-mp3 : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion audio/mpeg4 : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion application/mpeg4-iod : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion application/mpeg4-muxcodetable : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/x-msvideo : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion video/quicktime : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/ogg : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ogg : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-ms-asf-plugin : vlc '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-mplayer2 : vlc '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/w3m -T text/html '%s'; needsterminal; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/links -dump '%s'; copiousoutput; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/lynx -force_html '%s'; needsterminal; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/csv : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/spreadsheet : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-quattropro : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-dbf : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-excel.sheet.macroenabled.12 : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-excel.template.macroenabled.12 : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.spreadsheetml.sheet : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.spreadsheetml.template : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.lotus-1-2-3 : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-excel : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/msexcel : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-dbase : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/x-csv : soffice -no-oosplash -calc '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-powerpoint.presentation.macroenabled.12 : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-powerpoint.slideshow.macroenabled.12 : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-powerpoint.template.macroenabled.12 : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.presentationml.presentation : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.presentationml.slideshow : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.presentationml.template : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-powerpoint : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/mspowerpoint : soffice -no-oosplash -impress '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/mathml : soffice -no-oosplash -math '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/rtf : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-extension-txt : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/x-t602 : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.wordperfect : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-word.document.macroenabled.12 : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-word.template.macroenabled.12 : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.wordprocessingml.document : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.openxmlformats-officedocument.wordprocessingml.template : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/msword : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/vnd.ms-works : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion application/wordperfect : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/plain; soffice -no-oosplash -writer '%s'; edit=soffice -no-oosplash -writer '%s'; test=test -n "$DISPLAY"; description="Plain Text Document"; nametemplate=%s.txt
ProcessMailcapEntry: Ignoring mailcap flag 'edit'.
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion text/rtf : soffice -no-oosplash -writer '%s'
ProcessMailcapEntry Setting up conversion video/x-msvideo : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion video/quicktime : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/ogg : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/x-ogg : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion application/x-ms-asf-plugin : vlc -I rc -V caca '%s'
ProcessMailcapEntry Setting up conversion application/x-mplayer2 : vlc -I rc -V caca '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/w3m -dump -T text/html '%s'; copiousoutput; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/html2text '%s'; copiousoutput; description=HTML Text
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/png : /usr/bin/iceweasel '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/jpeg : /usr/bin/iceweasel '%s'
ProcessMailcapEntry: Found testcommand:test -n "$DISPLAY"
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
PassesTest: Testing for XWINDOWS environment.
PassesTest: Test passed!
ProcessMailcapEntry Setting up conversion image/gif : /usr/bin/iceweasel '%s'
ProcessMailcapEntry: Ignoring mailcap entry: text/html; /usr/bin/lynx -dump -force_html '%s'; copiousoutput; description=HTML Text; nametemplate=%s.html
ProcessMailcapEntry Setting up conversion text/* : less '%s'
ProcessMailcapEntry Setting up conversion text/* : more '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion application/x-debian-package : /usr/lib/mime/debian-view '%s'
ProcessMailcapEntry: Ignoring mailcap flag 'nametemplate'.
ProcessMailcapEntry Setting up conversion audio/basic : /usr/lib/mime/playaudio '%s'
HTFormat: Looking up presentation for text/plain to www/present
FindPresentation: found exact match: text/plain
HTFormat: Looking up presentation for text/html to www/present
FindPresentation: found exact match: text/html
HTFilterPresentations (AcceptMedia 0x1)
HTFileInit: Loading default (HTInit) extension maps.
HTLoadExtensionsConfigFile: Loading file '/etc/mime.types'.
Screen size: initscr()
Screen size is now 24 x 80
initializing default colors 15/0
color_cfg[0] = 15/0
color_cfg[1] = 4/0
color_cfg[2] = 11/4
color_cfg[3] = 2/0
color_cfg[4] = 5/0
color_cfg[5] = 4/0
color_cfg[6] = 9/0
color_cfg[7] = 5/6
lynx_setup_colors
lynx_map_color(0)
lynx_map_color(1)
lynx_map_color(2)
lynx_map_color(3)
lynx_map_color(4)
lynx_map_color(5)
lynx_map_color(6)
lynx_map_color(7)
opening config file /etc/lynx-cur/lynx.lss
lynx_init_colors (default 15/0)
start_curses: done.
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc anchor path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox/cgi-bin/disorder'
LYMain: User in REMOTE domain
Entering mainloop, startfile=http://jukebox/cgi-bin/disorder
getfile: getting http://jukebox/cgi-bin/disorder

HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'

Entered HTAnchor_findAddress
New anchor 0x9a87f0 has hash 495 and address `http://jukebox/cgi-bin/disorder'
HTAccess: loading document http://jukebox/cgi-bin/disorder
get_physical http://jukebox/cgi-bin/disorder
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`file:'
   want: access
HTParse:      result:`http'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: access
HTParse:      result:`http'
proxy server found: http://www-proxy:3128/
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`http:'
   want: access
HTParse:      result:`http'
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`www-proxy:3128'
Looking up www-proxy:3128
Making HTTP connection to www-proxy:3128
TCP: Error 115 in `SOCKET_ERRNO' after call to this socket's first connect() failed.
	Operation now in progress
TCP: Error 115 in `SOCKET_ERRNO' after call to this socket's first select() failed.
	Operation now in progress
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/http://jukebox/cgi-bin/disorder'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/http://jukebox/cgi-bin/disorder'
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: path
HTParse: (ABS)
HTParse:      result:`http://jukebox/cgi-bin/disorder'
HTParse: aName:`http://www-proxy:3128/http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`www-proxy:3128'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/cgi-bin/disorder'
Composing Authorization for jukebox:80//cgi-bin/disorder
HTAASetup_lookup: No template matched `/cgi-bin/disorder' (so probably not protected)
HTTP: Not sending authorization (yet).
Composing Proxy Authorization for www-proxy:3128/http://jukebox/cgi-bin/disorder
HTAASetup_lookup: No template matched `http://jukebox/cgi-bin/disorder' (so probably not protected)
HTTP: Not sending proxy authorization (yet).
Writing:
GET http://jukebox/cgi-bin/disorder HTTP/1.0\r
Host: jukebox\r
Accept: text/html, text/plain, text/css, text/sgml, */*;q=0.01\r
Accept-Encoding: gzip, compress, bzip2\r
Accept-Language: en\r
User-Agent: Lynx/2.8.7dev.9 libwww-FM/2.14 SSL-MM/1.4.1\r
\r
----------------------------------
Sending HTTP request.
HTTP: WRITE delivered OK
HTTP request sent; waiting for response.
HTTP: Trying to read 1535
HTTP: Read 1535
HTTP: Rx: HTTP/1.0 200 OK 
HTTP: Scanned 2 fields from line_buffer
--- Talking HTTP1.
HTTP/1.0 200 OK
HTFormat: Constructing stream stack for www/mime to www/present ((null))
HTFormat: Looking up presentation for www/mime to www/present
HTFormat: comparing image/* and www/mime for half match
HTFormat: comparing text/* and www/mime for half match
HTFormat: comparing text/* and www/mime for half match
StreamStack: found weak wildcard match: www/present
FindPresentation: found exact match: www/mime
StreamStack: found exact match: www/mime
StreamStack: Returning "MIMEParser"
HTMIME:  HTMIME: Got 'D' at beginning of line, checking for 'ate:'
HTMIME: PICKED UP Date: 'Sun, 22 Nov 2009 22:18:28 GMT'
HTMIME: Got 'S' at beginning of line, state now S
HTMIME: Was S, found E, state now SE'
HTMIME: Was SE, found R, checking for 'ver'
HTMIME: PICKED UP Server: 'Apache/2.2.9 (Debian) PHP/5.2.6-1+lenny3 with Suhosin-Patch mod_python/3.3.1 Python/2.5.2 mod_perl/2.0.4 Perl/v5.10.0'
HTMIME: Got 'C' at beginning of line, state now C
HTMIME: Was C, found A, checking for 'che-control:'
HTMIME: PICKED UP Cache-Control: 'no-cache'
HTMIME: Got 'R' at beginning of line, state now R
HTMIME: Was R, found E
HTMIME: Was RE, found F, checking for 'resh:'
HTMIME: PICKED UP Refresh: '15;url=http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
HTMIME: Got 'S' at beginning of line, state now S
HTMIME: Was S, found E, state now SE'
HTMIME: Was SE, found T, checking for '-cookie'
HTMIME: Was SET_COOKIE, found :, processing
HTMIME: PICKED UP Set-Cookie: 'disorder=none;Max-Age=0;Version=1;Path=/cgi-bin/disorder'
HTMIME: Got 'V' at beginning of line, state now V
HTMIME: Was V, found A, checking for 'ry:'
HTMIME: PICKED UP Vary: 'Accept-Encoding'
HTMIME: Got 'C' at beginning of line, state now C
HTMIME: Was C, found O, state now CO'
HTMIME: Was CO, found N, state now CON
HTMIME: Was CON, found T, checking for 'ent-'
HTMIME: in case CONTENT_
HTMIME: Was CONTENT_, found E, checking for 'ncoding:'
HTMIME: PICKED UP Content-Encoding: 'gzip'
content is compressed
HTMIME: Got 'C' at beginning of line, state now C
HTMIME: Was C, found O, state now CO'
HTMIME: Was CO, found N, state now CON
HTMIME: Was CON, found T, checking for 'ent-'
HTMIME: in case CONTENT_
HTMIME: Was CONTENT_, found L, state now CONTENT_L
HTMIME: in case CONTENT_L
HTMIME: Was CONTENT_L, found E, checking for 'ngth:'
HTMIME: PICKED UP Content-Length: '1985'
        Converted to integer: '1985'
HTMIME: Got 'C' at beginning of line, state now C
HTMIME: Was C, found O, state now CO'
HTMIME: Was CO, found N, state now CON
HTMIME: Was CON, found T, checking for 'ent-'
HTMIME: in case CONTENT_
HTMIME: Was CONTENT_, found T, state now CONTENT_T
HTMIME: in case CONTENT_T
HTMIME: Was CONTENT_T, found Y, checking for 'pe:'
HTMIME: PICKED UP Content-Type: 'text/html; charset=UTF-8'
HTMIME: Got 'V' at beginning of line, state now V
HTMIME: Was V, found I, checking for 'a:'
HTMIME: PICKED UP Via: '1.0 araminta.anjou.terraraq.org.uk (squid/3.0.STABLE8)'
HTMIME: Got 'P' at beginning of line, state now P
HTMIME: Was P, found R, state now PR'
HTMIME: Was PR, found O, checking for 'xy-authenticate'
HTMIME: Bad character `C' found where `authenticate:' expected
HTMIME: Extended MIME Content-Type is text/html;charset=utf-8
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/cgi-bin/disorder'
Confirm: Accept invalid cookie path=/cgi-bin/disorder as a prefix of '/cgi-bin'? (n) GETCH: Got 0x79.
LYReadCmdKey(4) ->y (0x79)
- YES.
HTMIME: MIME Content-Type is 'text/html',
        Treating as 'www/compressed'.  Converting to 'www/present'
HTFormat: Constructing stream stack for www/compressed to www/present (text/html;charset=utf-8)
HTFormat: Looking up presentation for www/compressed to www/present
HTFormat: comparing image/* and www/compressed for half match
HTFormat: comparing text/* and www/compressed for half match
HTFormat: comparing text/* and www/compressed for half match
StreamStack: found weak wildcard match: www/present
FindPresentation: found exact match: www/compressed
StreamStack: found exact match: www/compressed
LYOpenTemp(,.html.gz,wb)
lynx_temp_space is not our directory /tmp/ owner 0 mode 777
made subdirectory /tmp/lynxXXXXErQ57D/
-> '/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
... LYOpenTemp(/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz)
PARAM-ADD:/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz
PARAM-END:/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz
StreamStack: Returning "FileWriter"
content is compressed
Data transfer complete
LYCloseTempFP
...LYCloseTempFP(/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz)
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: host
HTParse:      result:`localhost'
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: access
HTParse:      result:`file'
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: access
HTParse:      result:`file'
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: host
HTParse:      result:`localhost'
HTParse: aName:`file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
Node `file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz' means path `/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz'
HTnameOfFile_WWW(file://localhost/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz,1,1) = /tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz
HTCompressFileType(/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz) returns 2:.gz
HTLoadFile: Opening `/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz' gives 0x9ae090
File mode is 0100600, uid=1000, gid=1000. My uid=1000, 17 groups ( 0 4 9 20 24 25 27 29 44 46 110 114 115 119 1000 1002 1003)
HTLoadFile: gzopen of `/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz' gives 0x9ae090
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/cgi-bin/disorder'
HTFormat: Constructing stream stack for text/html to www/present (text/html;charset=utf-8)
HTFormat: Looking up presentation for text/html to www/present
FindPresentation: found exact match: text/html
StreamStack: found exact match: text/html
HTMLPresent calling CacheThru_new
start HTML_new
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
StreamStack: Returning "SGMLParser"
SGML Doctype:
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
SGML Comment:
<!--
This file is part of DisOrder.
Copyright (C) 2004-2008 Richard Kettlewell

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
-->
SGML: Start <HTML>
UCSetTransParams: from iso-8859-1(0) to iso-8859-1(0)
GridText: start HText_new
UCSetTransParams: from iso-8859-1(0) to iso-8859-1(0)
GridText: Change to style Normal
me->tag_charset: 0 -> 43 (me->UCLYhndl: 0, tag_charset: 43)
HTML:begin_element[0]: adding style to stack - Normal (HTML)
SGML: Start <HEAD>
HTML:begin_element[1]: adding style to stack - Normal (HEAD)
SGML: found attribute rel, 0
SGML: attribute value is 'stylesheet'
SGML: found attribute type, 0
SGML: attribute value is 'text/css'
SGML: found attribute href, 0
SGML: attribute value is '/disorder/disorder.css'
SGML: Start <LINK>
HTParse: aName:`/disorder/disorder.css'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc anchor path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox/disorder/disorder.css'
pass LYFillLocalFile:`http://jukebox/disorder/disorder.css'
HTML: LINK with REL="stylesheet" ignored.
SGML: Start <TITLE>
HTML:begin_element[2]: adding style to stack - Normal (TITLE)
SGML: End </TITLE>
SGML: End </HEAD>
SGML: Start <BODY>
HTML:begin_element[1]: adding style to stack - Normal (BODY)
SGML: found attribute class, 1
SGML: class is 'top'
SGML: Start <DIV>
GridText: Change to style DivLeft
HTML:begin_element[2]: adding style to stack - DivLeft (DIV)
SGML: found attribute class, 1
SGML: class is 'menubar'
SGML: Start <P>
HTML:begin_element[3]: adding style to stack - DivLeft (P)
SGML: found attribute class, 1
SGML: class is 'activemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
SGML: found attribute title, 0
SGML: attribute value is 'Current and queued tracks'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
HTAnchor: New unnamed Anchor 0x9c3040 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
New anchor 0x9c5280 has hash 510 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=playing'
Linking child 0x9c3040 to anchor 0x9c5280
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:1 link_type:1
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
SGML: found attribute title, 0
SGML: attribute value is 'Recently played tracks'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
HTAnchor: New unnamed Anchor 0x9c30d8 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
New anchor 0x9c54d0 has hash 617 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=recent'
Linking child 0x9c30d8 to anchor 0x9c54d0
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:2 link_type:1
SGML: found attribute class, 1
SGML: class is 'invalidmenu'
SGML: found attribute title, 0
SGML: attribute value is 'Choose tracks'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
SGML: found attribute title, 0
SGML: attribute value is 'Queue management and volume control'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
HTAnchor: New unnamed Anchor 0x9c3170 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
New anchor 0x9c5730 has hash 304 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=manage'
Linking child 0x9c3170 to anchor 0x9c5730
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:3 link_type:1
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
SGML: found attribute title, 0
SGML: attribute value is 'Newly added tracks'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
HTAnchor: New unnamed Anchor 0x9c3208 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
New anchor 0x9c59b0 has hash 624 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=new'
Linking child 0x9c3208 to anchor 0x9c59b0
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:4 link_type:1
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
SGML: found attribute title, 0
SGML: attribute value is 'Log in to DisOrder'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
HTAnchor: New unnamed Anchor 0x9c32a0 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
New anchor 0x9c5bf0 has hash 1000 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=login'
Linking child 0x9c32a0 to anchor 0x9c5bf0
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:5 link_type:1
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
SGML: found attribute title, 0
SGML: attribute value is 'Basic user guide'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
HTAnchor: New unnamed Anchor 0x9c3338 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
New anchor 0x9c5e30 has hash 788 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=help'
Linking child 0x9c3338 to anchor 0x9c5e30
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: End </A>
GridText:HText_endAnchor0: number:6 link_type:1
SGML: End </P>
GridText: split_line(0 [now:44]) called
SGML: found attribute class, 1
SGML: class is 'logo'
SGML: Start <DIV>
HTML:begin_element[3]: adding style to stack - DivLeft (DIV)
SGML: found attribute class, 1
SGML: class is 'menuicon'
SGML: found attribute href, 0
SGML: attribute value is 'http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
HTAnchor: New unnamed Anchor 0x9c3480 is child of 0x9a87f0
HTParse: aName:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
pass LYFillLocalFile:`http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
New anchor 0x9c6070 has hash 873 and address `http://jukebox.anjou.terraraq.org.uk/cgi-bin/disorder?action=about'
Linking child 0x9c3480 to anchor 0x9c6070
HTML:begin_element[4]: adding style to stack - DivLeft (A)
SGML: found attribute class, 1
SGML: class is 'inactivemenu'
SGML: found attribute title, 0
SGML: attribute value is 'About DisOrder'
SGML: found attribute alt, 0
SGML: attribute value is 'About'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/logosmall.png'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=1 PARA=0
SGML: End </A>
GridText:HText_endAnchor0: number:7 link_type:1
SGML: End </DIV>
GridText: split_line(0 [now:6]) called
anchor 7: no relocation, cut the end.
SGML: found attribute style, 0
SGML: attribute value is 'clear:both'
SGML: Start <DIV>
HTML:begin_element[3]: adding style to stack - DivLeft (DIV)
SGML: End </DIV>
SGML: End </DIV>
GridText: Change to style Normal
GridText: split_line(0 [now:0]) called
SGML: Start <H1>
GridText: Change to style Heading1
HTML:begin_element[2]: adding style to stack - Heading1 (H1)
SGML: End </H1>
GridText: Change to style Normal
GridText: split_line(0 [now:11]) called
GridText: split_line(0 [now:0]) called
SGML: found attribute class, 1
SGML: class is 'playing'
SGML: Start <TABLE>
GridText: Change to style DivLeft
startStblTABLE: started.
HTML:begin_element[2]: adding style to stack - DivLeft (TABLE)
SGML: found attribute class, 1
SGML: class is 'headings'
SGML: Start <TR>
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: found attribute class, 1
SGML: class is 'button'
SGML: Start <TH>
HTML:begin_element[4]: adding style to stack - DivLeft (TH)
SGML: End </TH>
SGML: End </TR>
GridText: split_line(0 [now:37]) called
SGML: found attribute class, 1
SGML: class is 'next'
SGML: Start <TR>
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute colspan, 0
SGML: attribute value is '7'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR>
GridText: split_line(0 [now:5]) called
SGML: found attribute class, 1
SGML: class is 'even'
SGML: Start <TR>
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Best Classical Album In The World Ever'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is '04-Spectacular'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'The Philadelphia Orchestra Riccardo Muti Montagues Capulets Sergei Prokofiev'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
GridText: split_line(68 [now:68]) called
SGML: End </SPAN>
SGML: End </TD>
cancelStbl: ok, will do.
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'odd'
SGML: Start <TR>
GridText: split_line(0 [now:31]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'NEW ORDER'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'American Psycho'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'True Faith'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'even'
SGML: Start <TR>
GridText: split_line(0 [now:52]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Monster Magnet'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'The Matrix'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Look to your orb for the warning'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
GridText: split_line(65 [now:65]) called
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'odd'
SGML: Start <TR>
GridText: split_line(0 [now:8]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Richard Thompson'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Rumor and Sigh'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Read About Love'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'even'
SGML: Start <TR>
GridText: split_line(0 [now:63]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Electric Six'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Fire'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Gay bar'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'odd'
SGML: Start <TR>
GridText: split_line(0 [now:41]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Adam Kay &#38; Suman Biswas'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Unfit To Practise'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Bonus Track 2 - London Underground (7-7 Remix)'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
GridText: split_line(66 [now:66]) called
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'even'
SGML: Start <TR>
GridText: split_line(0 [now:25]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Banco de Gaia'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Last Train to Lhasa (disc 1)'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Kincajou'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'odd'
SGML: Start <TR>
GridText: split_line(0 [now:67]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Black Rebel Motorcycle Club'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Baby 81'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Took Out A Loan'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
GridText: HText_pageDisplay at line 1 started
GridText: Entering HText_trimHightext (partial: 0..25/25)
GridText: Anchor found on line:0 col:0 [01081:1] ext:7
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 3 [1] in HText_trimHightext
GridText: Anchor found on line:0 col:8 [01239:2] ext:6
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 11 [2] in HText_trimHightext
GridText: Anchor found on line:0 col:22 [01484:3] ext:6
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 25 [3] in HText_trimHightext
GridText: Anchor found on line:0 col:29 [01634:4] ext:3
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 32 [4] in HText_trimHightext
GridText: Anchor found on line:0 col:33 [01783:5] ext:5
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 36 [5] in HText_trimHightext
GridText: Anchor found on line:0 col:39 [01931:6] ext:4
anchor text: 'Playing Recent Choose Manage New Login Help'
GridText:     add link on line 0 col 42 [6] in HText_trimHightext
GridText: Anchor found on line:1 col:0 [02071:7] ext:5
anchor text: 'About'
GridText:     add link on line 1 col 3 [7] in HText_trimHightext
GridText: HText_pageDisplay finished
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'even'
SGML: Start <TR>
GridText: split_line(0 [now:67]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'U2'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'All That You Cant Leave Behind'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Walk On'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: found attribute class, 1
SGML: class is 'odd'
SGML: Start <TR>
GridText: split_line(0 [now:57]) called
HTML:begin_element[3]: adding style to stack - DivLeft (TR)
SGML: found attribute class, 1
SGML: class is 'when'
SGML: Start <TD>
HTML:begin_element[4]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: End </TR> 	<- supplied, end </TD>
GridText: split_line(0 [now:5]) called
SGML: Still open TABLE, ***no open TD for </TD>
SGML: found attribute class, 1
SGML: class is 'who'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'artist'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Blue Oyster Cult'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'album'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'directory'
SGML: found attribute title, 0
SGML: attribute value is 'Club Ninja'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'title'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute title, 0
SGML: attribute value is 'Beat 'Em Up'
SGML: Start <SPAN>
HTML:begin_element[4]: adding style to stack - DivLeft (SPAN)
SGML: End </SPAN>
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'length'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: End </TD>
SGML: found attribute class, 1
SGML: class is 'imgbutton'
SGML: Still open TABLE 	<- ***invalid start <TD>
SGML: Start <TD>
HTML:begin_element[3]: adding style to stack - DivLeft (TD)
SGML: found attribute class, 1
SGML: class is 'button'
SGML: found attribute src, 0
SGML: attribute value is '/disorder/nocross.png'
SGML: found attribute width, 0
SGML: attribute value is '16'
SGML: found attribute height, 0
SGML: attribute value is '16'
SGML: found attribute title, 0
SGML: attribute value is 'Remove track from queue'
SGML: found attribute alt, 0
SGML: attribute value is 'scratch'
SGML: Start <IMG>
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML IMG: USEMAP=0 ISMAP=0 ANCHOR=0 PARA=1
SGML: End </TD>
SGML: Still open TABLE, ***no open TR for </TR>
SGML: End </TABLE>
GridText: Change to style Normal
GridText: split_line(0 [now:55]) called
GridText: split_line(0 [now:0]) called
endStblTABLE: ignored.
SGML: found attribute class, 1
SGML: class is 'credits'
SGML: Start <P>
HTML:begin_element[2]: adding style to stack - Normal (P)
SGML: found attribute href, 0
SGML: attribute value is 'http://www.greenend.org.uk/rjk/disorder/'
SGML: found attribute title, 0
SGML: attribute value is 'DisOrder web site'
SGML: Start <A>
Entered HTAnchor_findChildAndLink:  tag=`', href=`http://www.greenend.org.uk/rjk/disorder/'
HTAnchor: New unnamed Anchor 0x9c4440 is child of 0x9a87f0
HTParse: aName:`http://www.greenend.org.uk/rjk/disorder/'
   relatedName:`http://jukebox/cgi-bin/disorder'
   want: punc path host access
HTParse: (ABS)
HTParse:      result:`http://www.greenend.org.uk/rjk/disorder/'
pass LYFillLocalFile:`http://www.greenend.org.uk/rjk/disorder/'
New anchor 0x9c6570 has hash 857 and address `http://www.greenend.org.uk/rjk/disorder/'
Linking child 0x9c4440 to anchor 0x9c6570
UCSetTransParams: from utf-8(43) to iso-8859-1(0)
HTML:begin_element[3]: adding style to stack - Normal (A)
SGML: End </A>
GridText:HText_endAnchor0: number:8 link_type:1
SGML: End </P>
GridText: split_line(0 [now:59]) called
SGML: End </BODY>
SGML: End </HTML>
GridText: Entering HText_endAppend
GridText: split_line(0 [now:0]) called
GridText: Removing bottom blank line: `'
GridText: New bottom line: `'
GridText: Removing bottom blank line: `'
GridText: New bottom line: `DisOrder version 4.3+ © 2003-2009 Richard Kettlewell et al'
GridText: Entering HText_trimHightext (final)
GridText: Anchor found on line:31 col:0 [09649:8] ext:21
anchor text: 'DisOrder version 4.3+ © 2003-2009 Richard Kettlewell et al'
GridText:     add link on line 31 col 3 [8] in HText_trimHightext
HTAccess:  status=200
HTAccess: `http://jukebox/cgi-bin/disorder' has been accessed.
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: access
HTParse:      result:`http'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc host access
HTParse:      result:`http://jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/cgi-bin/disorder'
Starting realm is 'http://jukebox/cgi-bin/'

HTAddGotoURL http://jukebox/cgi-bin/disorder
HTcan_reparse_document -> 0
GridText: HText_pageDisplay at line 1 started
GridText: HText_pageDisplay finished
LYhighlight on 0 [1]:
GETCH: Got 0x71.
LYReadCmdKey(0) ->q (0x71)
Confirm: Are you sure you want to quit? (y) GETCH: Got 0x71.
LYReadCmdKey(4) ->q (0x71)
- YES.
stop_curses: done.
LYRemoveTemp(/tmp/lynxXXXXErQ57D/L4841-6052TMP.html.gz)
...LYRemoveTemp done(0)
LYCleanupTemp removing /tmp/lynxXXXXErQ57D

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Mon, 23 Nov 2009 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 23 Nov 2009 09:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 460108@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Richard Kettlewell <rjk@terraraq.org.uk>
Cc: Thomas Dickey <dickey@his.com>, 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Mon, 23 Nov 2009 04:39:04 -0500
[Message part 1 (text/plain, inline)]
On Mon, Nov 23, 2009 at 09:17:00AM +0000, Richard Kettlewell wrote:
> Thomas Dickey wrote:
> 
> >without the trace file attached to the bug report, no one can tell
> >if we're discussing the same thing.
> 
> Attached.
> 
> ttfn/rjk

> 		Lynx Trace Log (2.8.7dev.9)
...

Here's the line showing the URI:

> GET http://jukebox/cgi-bin/disorder HTTP/1.0\r
...

Here's the line showing the path:

> HTMIME: PICKED UP Set-Cookie: 'disorder=none;Max-Age=0;Version=1;Path=/cgi-bin/disorder'
...

Here's the chunk where lynx parses the URI and then prompts:

HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: host
HTParse:      result:`jukebox'
HTParse: aName:`http://jukebox/cgi-bin/disorder'
   relatedName:`'
   want: punc path
HTParse: (ABS)
HTParse:      result:`/cgi-bin/disorder'
Confirm: Accept invalid cookie path=/cgi-bin/disorder as a prefix of '/cgi-bin'? (n) GETCH: Got 0x79.

From your earlier statement, it seems that you would then expect lynx to
compare the path "/cgi-bin/disorder" to "http://jukebox/cgi-bin/disorder".
That would always mismatch.  Lynx is taking the path part of the URI
and checking that (seems to work...).  It mismatches, and prompts.

For which URI is "/cgi-bin/disorder" a prefix then?

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Mon, 23 Nov 2009 10:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Kettlewell <rjk@terraraq.org.uk>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 23 Nov 2009 10:51:10 GMT) Full text and rfc822 format available.

Message #50 received at 460108@bugs.debian.org (full text, mbox):

From: Richard Kettlewell <rjk@terraraq.org.uk>
To: dickey@his.com
Cc: 460108@bugs.debian.org
Subject: Re: Bug#460108: #460108 lynx objects to path of valid cookies
Date: Mon, 23 Nov 2009 10:47:44 +0000
Thomas Dickey wrote:
> On Mon, Nov 23, 2009 at 09:17:00AM +0000, Richard Kettlewell wrote:
>> Thomas Dickey wrote:
>>
>>> without the trace file attached to the bug report, no one can tell
>>> if we're discussing the same thing.
>> Attached.
>>
>> ttfn/rjk
> 
>> 		Lynx Trace Log (2.8.7dev.9)
> ...
> 
> Here's the line showing the URI:
> 
>> GET http://jukebox/cgi-bin/disorder HTTP/1.0\r
> ...
> 
> Here's the line showing the path:
> 
>> HTMIME: PICKED UP Set-Cookie: 'disorder=none;Max-Age=0;Version=1;Path=/cgi-bin/disorder'
> ...
> 
> Here's the chunk where lynx parses the URI and then prompts:
> 
> HTParse: aName:`http://jukebox/cgi-bin/disorder'
>    relatedName:`'
>    want: host
> HTParse:      result:`jukebox'
> HTParse: aName:`http://jukebox/cgi-bin/disorder'
>    relatedName:`'
>    want: punc path
> HTParse: (ABS)
> HTParse:      result:`/cgi-bin/disorder'
> Confirm: Accept invalid cookie path=/cgi-bin/disorder as a prefix of '/cgi-bin'? (n) GETCH: Got 0x79.
> 
> From your earlier statement, it seems that you would then expect lynx to
> compare the path "/cgi-bin/disorder" to "http://jukebox/cgi-bin/disorder".
> That would always mismatch.  Lynx is taking the path part of the URI
> and checking that (seems to work...).  It mismatches, and prompts.
> 
> For which URI is "/cgi-bin/disorder" a prefix then?

It's a prefix of "/cgi-bin/disorder", which is what Lynx should be 
comparing with.  Throwing away the 'basename' part and reaching just 
"/cgi-bin" is incorrect.

ttfn/rjk





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#460108; Package lynx. (Wed, 25 Nov 2009 21:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Wed, 25 Nov 2009 21:36:02 GMT) Full text and rfc822 format available.

Message #55 received at 460108@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 460108@bugs.debian.org
Cc: 460108-submitter@bugs.debian.org
Subject: re: #460108 lynx objects to path of valid cookies
Date: Wed, 25 Nov 2009 16:30:52 -0500
[Message part 1 (text/plain, inline)]
This is addressed in 2.8.8dev.2

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream; removed tag(s) moreinfo. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Wed, 25 Nov 2009 21:36:06 GMT) Full text and rfc822 format available.

Message sent on to Richard Kettlewell <rjk@greenend.org.uk>:
Bug#460108. (Wed, 25 Nov 2009 21:36:08 GMT) Full text and rfc822 format available.

Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Tue, 22 Dec 2009 04:51:03 GMT) Full text and rfc822 format available.

Notification sent to Richard Kettlewell <rjk@greenend.org.uk>:
Bug acknowledged by developer. (Tue, 22 Dec 2009 04:51:03 GMT) Full text and rfc822 format available.

Message #65 received at 460108-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 460108-close@bugs.debian.org
Subject: Bug#460108: fixed in lynx-cur 2.8.8dev.2-1
Date: Tue, 22 Dec 2009 04:47:15 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.2-1

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.8dev.2-1_all.deb
  to main/l/lynx-cur/lynx-cur-wrapper_2.8.8dev.2-1_all.deb
lynx-cur_2.8.8dev.2-1.diff.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.2-1.diff.gz
lynx-cur_2.8.8dev.2-1.dsc
  to main/l/lynx-cur/lynx-cur_2.8.8dev.2-1.dsc
lynx-cur_2.8.8dev.2-1_i386.deb
  to main/l/lynx-cur/lynx-cur_2.8.8dev.2-1_i386.deb
lynx-cur_2.8.8dev.2.orig.tar.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.2.orig.tar.gz
lynx_2.8.8dev.2-1_all.deb
  to main/l/lynx-cur/lynx_2.8.8dev.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 460108@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Dec 2009 20:04:44 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.2-1
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 460108 541694
Changes: 
 lynx-cur (2.8.8dev.2-1) unstable; urgency=low
 .
   * New Upstream Release.
    - modify trimming of URI in LYSetCookie() to eliminate trimming of
      final leaf  (Closes: #460108)
   * Updated rules, control and patches files.
   * Changed lynx.cfg and now we set LOCALE_CHARSET:TRUE
   * Added libidn11-dev to Build-Depends to fix #541694  (Closes: #541694)
Checksums-Sha1: 
 0b069a176a5c20db27be39586c6db15a5a5295c5 1181 lynx-cur_2.8.8dev.2-1.dsc
 c0cfe96e3b61c1e216debfc98463641c21a5018c 3427935 lynx-cur_2.8.8dev.2.orig.tar.gz
 cddc1447fc6c27fb89fd128e99b96fcfd0f87bf8 30105 lynx-cur_2.8.8dev.2-1.diff.gz
 8ef32e68093b1127abd6745b3035da8e626fd2ca 217610 lynx-cur-wrapper_2.8.8dev.2-1_all.deb
 7f036d89894650a3da2c77c5a03927b2e9886880 215034 lynx_2.8.8dev.2-1_all.deb
 28ac4b330f53497df05e04a8cf3378042128c3d9 2104908 lynx-cur_2.8.8dev.2-1_i386.deb
Checksums-Sha256: 
 918628297d273417d39f88f84c6bef4c7b65d45beb48842c705563ff906f89cc 1181 lynx-cur_2.8.8dev.2-1.dsc
 2fc924591ed094ffc3bd8394a33c5525e76ab7d1d5ef9ff5fd95442c831fb4bb 3427935 lynx-cur_2.8.8dev.2.orig.tar.gz
 73dd2143c3fb4ced0edf76d9a37b0b9d31c6bb311f17ea08d0ddff594b8d095a 30105 lynx-cur_2.8.8dev.2-1.diff.gz
 08bbc56ef053bdf0ef93425ecdd6be6476630727c524767fafb36c9664717d98 217610 lynx-cur-wrapper_2.8.8dev.2-1_all.deb
 3a29d80fd741158dcea21f13d3c9ae37ad5b9e8f1bf2e2de07376ae097fcd7c4 215034 lynx_2.8.8dev.2-1_all.deb
 47ac7bdfc7c824c9aea3ac97766183739fafd5541bfd2e8f3ebd03eebf552e3a 2104908 lynx-cur_2.8.8dev.2-1_i386.deb
Files: 
 b3530cd2a6a94cf94e5d9bc86b145182 1181 web extra lynx-cur_2.8.8dev.2-1.dsc
 a6ce7bff0b5bf014fac070b96a87a249 3427935 web extra lynx-cur_2.8.8dev.2.orig.tar.gz
 917391bc1ade8cda389f3861f80dc369 30105 web extra lynx-cur_2.8.8dev.2-1.diff.gz
 31549318321c10c8cf49869892b1049b 217610 web extra lynx-cur-wrapper_2.8.8dev.2-1_all.deb
 1e83550c5d17c6f4f030a72cdae0237f 215034 web extra lynx_2.8.8dev.2-1_all.deb
 f638e7409fe44538b73eb7cac522ad08 2104908 web extra lynx-cur_2.8.8dev.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkswThQACgkQ1IXdL1v6kOzK/ACgkV6g17UX711JzYDhv/JSniGo
tCEAn2RKzFsGAhjIt5hKO3EHi1msocTE
=vNMW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jan 2010 07:28:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:46:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.